tbb::internal::arena_slot_line2 Struct Reference

`#include <scheduler_common.h>`

Collaboration diagram for tbb::internal::arena_slot_line2:

## Public Attributes

unsigned | hint_for_pop
| Hint provided for operations with the container of starvation-resistant tasks. More...
__TBB_atomic size_t | tail
| Index of the element following the last ready task in the deque. More...
size_t | my_task_pool_size
| Capacity of the primary task pool (number of elements - pointers to task). More...
task **__TBB_atomic | task_pool_ptr
| Task pool of the scheduler that owns this slot. More...

## Detailed Description

Definition at line 351 of file scheduler_common.h.

## Member Data Documentation

## hint_for_pop

unsigned tbb::internal::arena_slot_line2::hint_for_pop

Hint provided for operations with the container of starvation-resistant tasks.

Modified by the owner thread (during these operations).

Definition at line 354 of file scheduler_common.h.

## my_task_pool_size

size_t tbb::internal::arena_slot_line2::my_task_pool_size

Capacity of the primary task pool (number of elements - pointers to task).

Definition at line 366 of file scheduler_common.h.

## tail

__TBB_atomic size_t tbb::internal::arena_slot_line2::tail

Index of the element following the last ready task in the deque.

Modified by the owner thread.

Definition at line 363 of file scheduler_common.h.

## task_pool_ptr

task* * __TBB_atomic tbb::internal::arena_slot_line2::task_pool_ptr

Task pool of the scheduler that owns this slot.

Definition at line 369 of file scheduler_common.h.

The documentation for this struct was generated from the following file:

- scheduler_common.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.